Loading...
Searching...
No Matches
casacore::TaQLIndexNodeRep Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Raw TaQL parse tree node defining an index in a array. More...

`#include <TaQLNodeDer.h>`

## Public Member Functions

| TaQLIndexNodeRep (const TaQLNode &start, const TaQLNode &end, const TaQLNode &incr)
virtual TaQLNodeResult | visit (TaQLNodeVisitor &) const override
| Visit a node for tree traversal.
virtual void | show (std::ostream &os) const override
| Print the object in an ostream.
virtual void | save (AipsIO &aio) const override
| Save the object.
Public Member Functions inherited from casacore::TaQLNodeRep
| TaQLNodeRep (int nodeType)
| Constructor for derived classes specifying the type.
virtual | ~TaQLNodeRep ()
| TaQLNodeRep (const TaQLNodeRep &)=delete
| Letter objects cannot be copied.
TaQLNodeRep & | operator= (const TaQLNodeRep &)=delete
char | nodeType () const
| Get the node type of the derived class.
const TaQLStyle & | style () const
| Get the TaQL style.
String | addEscape (const String &str) const
| Add escape characters to a table name where needed.

## Static Public Member Functions

static TaQLNode | restore (AipsIO &aio)
Static Public Member Functions inherited from casacore::TaQLNodeRep
static String | checkDataType (const String &)
| Check the data type string and return its standard form.

## Public Attributes

TaQLNode | itsStart
TaQLNode | itsEnd
TaQLNode | itsIncr

## Detailed Description

Raw TaQL parse tree node defining an index in a array.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Prerequisite

- TaQLNodeRep

### Synopsis

This class is a TaQLNodeRep holding the optional start, end, and incr values of an index in an array.

Definition at line 359 of file TaQLNodeDer.h.

## Constructor & Destructor Documentation

## TaQLIndexNodeRep()

casacore::TaQLIndexNodeRep::TaQLIndexNodeRep | ( | const TaQLNode & | start,
|  | const TaQLNode & | end,
|  | const TaQLNode & | incr )

## Member Function Documentation

## restore()

TaQLNode casacore::TaQLIndexNodeRep::restore | ( | AipsIO & | aio | ) |

static

## save()

virtual void casacore::TaQLIndexNodeRep::save | ( | AipsIO & | aio | ) | const

override virtual

Save the object.

Implements casacore::TaQLNodeRep.

## show()

virtual void casacore::TaQLIndexNodeRep::show | ( | std::ostream & | os | ) | const

override virtual

Print the object in an ostream.

Implements casacore::TaQLNodeRep.

## visit()

virtual TaQLNodeResult casacore::TaQLIndexNodeRep::visit | ( | TaQLNodeVisitor & |  | ) | const

override virtual

Visit a node for tree traversal.

Implements casacore::TaQLNodeRep.

## Member Data Documentation

## itsEnd

TaQLNode casacore::TaQLIndexNodeRep::itsEnd

Definition at line 370 of file TaQLNodeDer.h.

## itsIncr

TaQLNode casacore::TaQLIndexNodeRep::itsIncr

Definition at line 371 of file TaQLNodeDer.h.

## itsStart

TaQLNode casacore::TaQLIndexNodeRep::itsStart

Definition at line 369 of file TaQLNodeDer.h.

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeDer.h